List stored model responses
curl --request GET \
--url https://seneca-research.fly.dev/v1/research/{run_id}/responses \
--header 'Authorization: Bearer <token>'import requests
url = "https://seneca-research.fly.dev/v1/research/{run_id}/responses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://seneca-research.fly.dev/v1/research/{run_id}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"model_id": "<string>",
"status": "<string>",
"text_available": true,
"text_characters": 123,
"display_name": "<string>",
"laboratory": "<string>",
"input_tokens": 123,
"output_tokens": 123
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Research
List stored model responses
Metadata for the model responses stored on a completed or partial run. Pages are ordered by the stored model id. The original text is not included. Pass next_cursor back as cursor. This read does not start research, call a provider, or charge credits.
GET
/
v1
/
research
/
{run_id}
/
responses
List stored model responses
curl --request GET \
--url https://seneca-research.fly.dev/v1/research/{run_id}/responses \
--header 'Authorization: Bearer <token>'import requests
url = "https://seneca-research.fly.dev/v1/research/{run_id}/responses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://seneca-research.fly.dev/v1/research/{run_id}/responses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"data": [
{
"model_id": "<string>",
"status": "<string>",
"text_available": true,
"text_characters": 123,
"display_name": "<string>",
"laboratory": "<string>",
"input_tokens": 123,
"output_tokens": 123
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Workspace API key created while signed in on the Developers page. Send Authorization: Bearer seneca_sk_… A Clerk session token is not accepted.